package com.dashitech.businessdata.dao;

import com.dashitech.businessdata.entity.CallLogEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by chi on 2020/8/25.
 */
public interface ICallLogDAO extends JpaRepository<CallLogEntity, String> {

    @SuppressWarnings("unchecked")
    CallLogEntity save(CallLogEntity callLogEntity);

    @Query(value = "select hos_id from itsm_system_hospital_config where _key = ?1 and _value =?2 limit 1 ",nativeQuery = true)
    String selectSernelNo(String key,String value);
}
