package com.dashitech.businessdata.dao;

import com.dashitech.businessdata.entity.SystemConfigureEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
 * Created by chi on 2020/8/25.
 */
public interface ISystemConfigureDAO extends JpaRepository<SystemConfigureEntity, String> {
    @SuppressWarnings("unchecked")
    SystemConfigureEntity save(SystemConfigureEntity systemConfigureEntity);

    @Query(value = "select valueconfig from SystemConfigureEntity where keyconfig=:keyconfig")
    String selectValueByKey(@Param("keyconfig")String keyconfig);


}
